Debian Bug report logs - #458874
tau: FTBFS: chmod: cannot access `/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/Tul ipThreadLayer.h': No such file or directory

version graph

Package: tau; Maintainer for tau is Yann Dirson <dirson@debian.org>; Source for tau is src:tau.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 3 Jan 2008 12:30:16 UTC

Severity: serious

Tags: patch

Merged with 476638

Found in versions tau/2.16.4-1, tau/2.16.4-1.1

Fixed in version tau/2.16.4-1.2

Done: Luca Falavigna <dktrkranz@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: tau: FTBFS: chmod: cannot access `/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/Tul ipThreadLayer.h': No such file or directory
Date: Thu, 3 Jan 2008 13:00:50 +0100
Package: tau
version: 2.16.4-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080103 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on amd64.

Relevant part:

 > dh_testdir
 > ./configure -prefix=/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau -pthread -LINUXTIMERS
 > tauprefix =  /build/user/tau-2.16.4/debian/BUILD/usr/lib/tau 
 > -------------------- TAU configure script ---------------
 >   The TAU source code has just been configured to use the
 >   tau root directory /build/user/tau-2.16.4.
 >   If you move the Tau distribution, you must either
 >     * set an environment variable TAUROOT containing the new
 >       location before running any TAU tools
 >   or
 >     * run configure again and recompile
 > -----------------------------------------------------------------
 > Attempting to auto-configure system, determining architecture...
 > I could not determine the architecture of this host
 > You must give me a hint.
 > Perhaps, the C compiler is not working.
 > Please check the licenses.
 > chmod -x /build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/TulipThreadLayer.h
 > chmod: cannot access `/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/TulipThreadLayer.h': No such file or directory
 > make: *** [stamps/build-arch] Error 1
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/03

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #10 received at 458874@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 458874@bugs.debian.org
Subject: Re: tau: FTBFS: chmod: cannot access `/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/Tul ipThreadLayer.h': No such file or directory
Date: Sun, 13 Jan 2008 18:44:49 +0100
severity 458874 important
thanks

Hi,

I could not reproduce this bug on sid/i386.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to `important' from `serious' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 17:57:07 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 458874-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: daniel@debian.org, 458874-done@bugs.debian.org
Subject: Re: Bug#458874: tau: FTBFS: chmod: cannot access `/build/user/tau-2.16.4/debian/BUILD/usr/lib/tau/include/Profile/Tul ipThreadLayer.h': No such file or directory
Date: Sun, 9 Mar 2008 17:05:23 +0100
On 13/01/08 at 18:44 +0100, Daniel Baumann wrote:
> severity 458874 important
> thanks
> 
> Hi,
> 
> I could not reproduce this bug on sid/i386.
 
Me neither, so I'm closing it.

BTW, Daniel, it's better to Cc me in such cases, so I can double-check
in the same chroot and close the bug.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to kurt@roeckx.be (Kurt Roeckx):
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #22 received at 458874@bugs.debian.org (full text, mbox):

From: kurt@roeckx.be (Kurt Roeckx)
To: control@bugs.debian.org
Cc: 458874@bugs.debian.org
Subject: reopening 458874, found 458874 in 2.16.4-1.1
Date: Sun, 16 Mar 2008 15:04:36 +0100 (CET)
# Automatically generated email from bts, devscripts version 2.10.18.1
reopen 458874 
# All buildds did have this problem
found 458874 2.16.4-1.1




Bug reopened, originator not changed. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 16 Mar 2008 14:09:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.16.4-1.1. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 16 Mar 2008 14:09:07 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 16 Mar 2008 14:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #33 received at 458874@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 458874@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Daniel Baumann <daniel@debian.org>, kurt@roeckx.be
Subject: Cause of tau build failure located.
Date: Tue, 18 Mar 2008 09:28:48 +0100
Hello!

I'm able to reproduce this using pbuilder (on amd64).
If I'm not mistaken, the cause of the build failure originates from this part
in the build log:

make[2]: Entering directory `/build/user/tau-2.16.4/src/Profile'
Makefile:29: /include/Makefile: No such file or directory
make[2]: *** No rule to make target `/include/Makefile'.  Stop.
make[2]: Leaving directory `/build/user/tau-2.16.4/src/Profile'


The failure is because src/Profile/Makefile contains this:

	TAUROOT=
	include $(TAUROOT)/include/Makefile


Apparently, the configure script didn't manage to update the TAUROOT in
src/Profile/Makefile for some unknown reason....

If anyone wants to dig deeper into this, have fun and feel free to contact me
if you still can't reproduce and need further information.

-- 
Regards,
Andreas Henriksson




Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 458874-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 458874-done@bugs.debian.org
Subject: Re: Bug#458874: Cause of tau build failure located.
Date: Mon, 14 Apr 2008 18:05:13 +0200
On 18/03/08 at 09:28 +0100, Andreas Henriksson wrote:
> Hello!
> 
> I'm able to reproduce this using pbuilder (on amd64).
> If I'm not mistaken, the cause of the build failure originates from this part
> in the build log:

I've built it fine three times in a row, so I guess that the problem can
be considered fixed.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug marked as found in version 2.16.4-1.1 and reopened. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Fri, 18 Apr 2008 06:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to Colin Tuckley <colint@debian.org>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #45 received at 458874@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 458874@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Bug 458874
Date: Tue, 01 Jul 2008 12:54:46 +0100
Lucas,

I've been working on fixing FTBFS bugs a lot recently for the new armel port.

I've seen lots of cases where you have failed to reproduce a bug of this
type on i386. Please do *not* close bugs as unreproducable unless you check
the arch directly reported in the bts.

If you look at http://buildd.debian.org/pkg.cgi?pkg=tau you will see that
tau is currently failing to build on *EIGHT* archs.

This bug needs further investigation and should be tagged "help" or "more info"

regards,

Colin

-- 
Colin Tuckley      |  +44(0)1903 236872  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Do not meddle in the affairs of dragons, for you are crunchy and taste good
with ketchup.




Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. Full text and rfc822 format available.

Message #50 received at 458874@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Colin Tuckley <colint@debian.org>
Cc: 458874@bugs.debian.org
Subject: Re: Bug 458874
Date: Tue, 1 Jul 2008 14:25:39 +0200
On 01/07/08 at 12:54 +0100, Colin Tuckley wrote:
> Lucas,
> 
> I've been working on fixing FTBFS bugs a lot recently for the new armel port.
> 
> I've seen lots of cases where you have failed to reproduce a bug of this
> type on i386. Please do *not* close bugs as unreproducable unless you check
> the arch directly reported in the bts.

I would be interested in a list of those cases. Usually, I only close
the bug if I reproduced it at some point, but can no longer reproduce
it.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Merged 458874 476638. Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Thu, 09 Oct 2008 18:18:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#458874; Package tau. (Thu, 09 Oct 2008 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Yann Dirson <dirson@debian.org>. (Thu, 09 Oct 2008 19:00:02 GMT) Full text and rfc822 format available.

Message #57 received at 458874@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 458874@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tau: NMU for 2.16.4-1.2
Date: Thu, 09 Oct 2008 20:56:27 +0200
[Message part 1 (text/plain, inline)]
tags 458874 + patch
thanks

Please find attached NMU debdiff for 2.16.4-1.2 which should fix this
FTBFS issue. Thank you.

-- 
 . ''`.      Luca Falavigna
 : :'  :  Ubuntu MOTU Developer
 `. `'`     Debian Maintainer
   `-      GPG Key: 0x86BC2A50
[tau_2.16.4-1.2.debdiff (text/plain, attachment)]

Tags added: patch Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Thu, 09 Oct 2008 19:00:06 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@ubuntu.com>:
You have taken responsibility. (Wed, 31 Dec 2008 03:09:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 31 Dec 2008 03:09:09 GMT) Full text and rfc822 format available.

Message #64 received at 458874-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 458874-close@bugs.debian.org
Subject: Bug#458874: fixed in tau 2.16.4-1.2
Date: Wed, 31 Dec 2008 03:02:12 +0000
Source: tau
Source-Version: 2.16.4-1.2

We believe that the bug you reported is fixed in the latest version of
tau, which is due to be installed in the Debian FTP archive:

python-tau_2.16.4-1.2_amd64.deb
  to pool/main/t/tau/python-tau_2.16.4-1.2_amd64.deb
tau-examples_2.16.4-1.2_all.deb
  to pool/main/t/tau/tau-examples_2.16.4-1.2_all.deb
tau-racy_2.16.4-1.2_all.deb
  to pool/main/t/tau/tau-racy_2.16.4-1.2_all.deb
tau_2.16.4-1.2.diff.gz
  to pool/main/t/tau/tau_2.16.4-1.2.diff.gz
tau_2.16.4-1.2.dsc
  to pool/main/t/tau/tau_2.16.4-1.2.dsc
tau_2.16.4-1.2_amd64.deb
  to pool/main/t/tau/tau_2.16.4-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458874@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@ubuntu.com> (supplier of updated tau package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Oct 2008 20:19:37 +0200
Source: tau
Binary: tau tau-racy python-tau tau-examples
Architecture: source all amd64
Version: 2.16.4-1.2
Distribution: unstable
Urgency: low
Maintainer: Yann Dirson <dirson@debian.org>
Changed-By: Luca Falavigna <dktrkranz@ubuntu.com>
Description: 
 python-tau - Tuning and Analysis Utilities - support for python bindings
 tau        - Tuning and Analysis Utilities - base profiling toolkit
 tau-examples - Tuning and Analysis Utilities - examples
 tau-racy   - Tuning and Analysis Utilities - Tcl/tk profiler GUI
Closes: 458874 476638
Changes: 
 tau (2.16.4-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/rules: explicitly set -arch parameter with configure, some
     architectures are not recognised properly (Closes: #458874, #476638).
Checksums-Sha1: 
 9b81966bc8d7e79aeea1b77773b55c81478b31a5 1066 tau_2.16.4-1.2.dsc
 6f67c55e4b389d5e1ad43ca1b931e95d99e73734 13872 tau_2.16.4-1.2.diff.gz
 01dce9b3d53b62f0bc306359b70ed79ff6368f9f 108490 tau-racy_2.16.4-1.2_all.deb
 ded7fcf48eeac636a1f46c40f3f8bbe823a4d56f 142710 tau-examples_2.16.4-1.2_all.deb
 610e3b92ebf305d574aaf5bf0228de447cb7c621 395078 tau_2.16.4-1.2_amd64.deb
 b2164eca06e108cb0cec55c9a8dd28b0328f6ee0 33150 python-tau_2.16.4-1.2_amd64.deb
Checksums-Sha256: 
 4fd56cd1f186fbb6eb0a8ec60e477d4c7e484e891c1a29544f3b72e91c214cc6 1066 tau_2.16.4-1.2.dsc
 3c70ce7a1ce468e3782fe9fdcd8fd319cb1adeebfb98b794039251f3a32e00a0 13872 tau_2.16.4-1.2.diff.gz
 4d299892a0bd9566cf5f082e93fdf76c9b0339839def6deaa928e6b929de43e5 108490 tau-racy_2.16.4-1.2_all.deb
 825d0ab06735b7ad03c91bd200de6f0fc208086fea5a680d6dc27f94abf19d7d 142710 tau-examples_2.16.4-1.2_all.deb
 51a716e5232648c0d38afbe4565fbc562037bee3501df7e5ce1e204fba300e14 395078 tau_2.16.4-1.2_amd64.deb
 98352ba9749b997fee347d1b37f76032e4b0a15d184e52b18e2f86c9b51ffc0a 33150 python-tau_2.16.4-1.2_amd64.deb
Files: 
 ef13d108a7903a579d8ab5d4f31af4a8 1066 devel optional tau_2.16.4-1.2.dsc
 7c34abf740412f5378daede5de3ad5fc 13872 devel optional tau_2.16.4-1.2.diff.gz
 c81f6947c3e2afe0e521f5c49ecd0f9f 108490 devel optional tau-racy_2.16.4-1.2_all.deb
 52c46677936e5cc2b8d27ec061570fff 142710 devel optional tau-examples_2.16.4-1.2_all.deb
 c40bdf16f5f727331679aafbb7483813 395078 devel optional tau_2.16.4-1.2_amd64.deb
 4f3422f6aa86df58471871412f0370ee 33150 python optional python-tau_2.16.4-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkla3UgACgkQgY5NIXPNpFWKOgCgxcFhLVu7DhSgKuNvCcuS9m4i
L8oAn1snM8PhG4UsPa4k87VGDY/x+jxu
=dDZf
-----END PGP SIGNATURE-----





Reply sent to Luca Falavigna <dktrkranz@ubuntu.com>:
You have taken responsibility. (Wed, 31 Dec 2008 03:09:21 GMT) Full text and rfc822 format available.

Notification sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Bug acknowledged by developer. (Wed, 31 Dec 2008 03:09:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Feb 2009 07:28:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:14:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.